yii simditor中Uncaught TypeError: Cannot read property ‘toLowerCase’ of undefined

内容纲要

在一个YII项目中用到了一个富文本编辑器simditor,这个富文本是开源的,而且出来样式也比较规范好看,挺不错的.但是按照官网的demo放到项目中确不能用,报下面的错误:

各种折腾后发现是yii的jquery版本太低导致了这个问题,我用的默认的yii的jquery版本是1.8.3,于是乎换了一个高版本版本1.11.0,问题就解决了,更换yii中jquery版本的方法如下:

一.找到/framework/web/js/source/jquery.js和jquery.min.js,更换成从网上下载的最新版本.

二.手动删除assets下的文件,或者用程序的方法强制更新.程序代码如下:

 

发表评论

邮箱地址不会被公开。 必填项已用*标注

× 3 = 6